# Awesome Vorpal [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

A curated list of delightful [Vorpal](https://github.com/dthree/vorpal)-based projects and extensions.

[Vorpal is Node's first framework for building immersive CLI applications.](https://github.com/dthree/vorpal)

Inspired by the [awesome](https://github.com/sindresorhus/awesome) list thing.

## Table of Contents

- [Community](#community)
- [Tutorials](#tutorials)
- [Projects](#projects)
- [Extensions](#extensions)
- [Contribute](#contribute)
- [License](#license)

## Community

- [Chat](https://gitter.im/dthree/vorpal)
- [Stack Overflow](http://stackoverflow.com/questions/tagged/vorpal.js)
- [Wiki](https://github.com/dthree/vorpal/wiki)

## Tutorials

- [By Brian Rinaldi] (http://developer.telerik.com/featured/creating-node-js-command-line-utilities-improve-workflow/)

  An excellent introduction to Vorpal, Brian Rinaldi from Telerik walks you through developing a sophisticated Vorpal app from scratch.

- [By Ramon Gebben](http://daily-javascript.com/articles/vorpal/)

  A brief introduction to Vorpal by the author of [daily-javascript.com](daily-javascript.com).

## Projects

*Awesome projects and applications built using Vorpal.*

- [Cash](https://github.com/dthree/cash) - Cross-platform Linux commands without the suck.
- [Raptor](https://developer.mozilla.org/en-US/Firefox_OS/Automated_testing/Raptor) - Performance testing CLI for Firefox developers.
- [iTunes-remote](https://github.com/mischah/itunes-remote/) - Control iTunes on the CLI.
- [phunt](https://github.com/Kristories/phunt) - Access [Product Hunt](https://www.producthunt.com/) on the CLI. *Trended on (you guessed it) Product Hunt.*
- [trelew](https://github.com/websitesfortrello/trelew) - Access [Trello](https://trello.com/) on the CLI.
- [wat](https://github.com/dthree/wat) - Community-built docs for every language, platform and library.
- [metronome](https://github.com/AljoschaMeyer/metronome-cli) - A live metronome on the CLI.
- [fastack](https://github.com/fastack/cli) - A zero-config tool that makes developing client-side apps easy.
- [cbcluster](https://www.npmjs.com/package/cbcluster) - CLI for Couchbase Server Clusters.
- [quotr](https://github.com/andrerpena/quotr) - View stock exchange quotes.
- [Vantage](https://github.com/dthree/vantage) - `CLI` + `SSH` + `REPL` for your live Node app.
- [birdknife](https://github.com/vanita5/birdknife) - A full featured [Twitter](https://twitter.com/) CLI.
- [tv-remote-cli](https://github.com/Glavin001/tv-remote-cli) - CLI for remotely controlling your Smart TV.
- [launch](https://github.com/NewSpring/meteor-launch) - Automating meteor builds to the AppStore, TestFlight, Hockey, Google Play, and more
- [lifxsh](https://github.com/ristomatti/lifxsh) - Interactive shell for controlling [LIFX](http://www.lifx.com) smart lights.

## Extensions

*Extensions add to the functionality of Vorpal - programmatically or live.*

#### POSIX implementations

- [less](https://github.com/vorpaljs/vorpal-less) - Implementation of the `less` command.
- [grep](https://github.com/vorpaljs/vorpal-grep) - Implementation of the `grep` command.

#### Development tools

- [repl](https://github.com/vorpaljs/vorpal-repl) - Drops your CLI into a REPL within your app's context.
- [tour](https://github.com/vorpaljs/vorpal-tour) - Build an interactive tour for your Vorpal app.
- [watch](https://github.com/vantagejs/vantage-watch) - Updates your live Vorpal extensions in realtime.
- [log](https://github.com/AljoschaMeyer/vorpal-log) - Advanced logging utility.
- [set-or-print](https://github.com/AljoschaMeyer/vorpal-setorprint) - Easily set / get arguments with commands.

#### Realtime

- [use](https://github.com/vorpaljs/vorpal-use) - Import Vorpal extensions live: while your app is running.

#### Fun

- [hacker-news](https://github.com/vorpaljs/vorpal-hacker-news) - Pulls the top trending items from Hacker News.

#### Toolbox
- [rc](https://github.com/subk/vorpal-rc) - Simple .rc file support.
- [comment](https://github.com/subk/vorpal-comment) - Bash-like comment support.
- [as-default](https://github.com/ialpert/vorpal-as-default) - Triggers Vorpal task in case it runs without any specificly defined task.

## Contribute

Contributions welcome! Read the [contribution guidelines](contributing.md) first.

## License

[![CC0](http://i.creativecommons.org/p/zero/1.0/88x31.png)](http://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [David Caccavella](https://github.com/dthree) has waived all copyright and related or neighboring rights to this work.
